Summary:        MSVSphere GNOME Desktop Flavour Selector
Name:           sphere-desktop-selector
Version:        1.0.0
Release:        6%{?dist}

Url:            https://msvsphere-os.ru
License:        GPLv2+
Source0:        %{name}-%{version}.tar.xz
Source1:        com.inferit.sphere-desktop-selector.desktop
Source2:        sphere-desktop-selector-auto
Source3:        Classic_2.png
Source4:        Modern_2.png
Source5:        sphere-desktop-selector.conf
Patch0:         0001-Update-window-size.patch
Patch1:         0001-Fix-build.patch

Requires:       bash

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  vala
BuildRequires:  cmake
BuildRequires:  gtk4-devel
BuildRequires:  json-glib-devel

%global debug_package %{nil}
%define _build_id_links none

%description
This package allow to choose variants of GNOME Desktop, Classic or GNOME Shell

%prep
%autosetup -p1
cp %{SOURCE3} %{SOURCE4} screen_images/

%build
%meson
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cp -a %{SOURCE1} %{buildroot}%{_datadir}/applications/com.inferit.sphere-desktop-selector.desktop
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/autostart/com.inferit.sphere-desktop-selector.desktop
install -m755 %{SOURCE2} %{buildroot}%{_bindir}
sed -i 's@Exec=sphere-desktop-selector@Exec=sphere-desktop-selector-auto@' \
%{buildroot}%{_sysconfdir}/xdg/autostart/com.inferit.sphere-desktop-selector.desktop

%find_lang %{name}

rm -rf %{buildroot}/usr/lib
mv %{buildroot}/usr/lib64 %{buildroot}/usr/lib
cp -f %{SOURCE5} %{buildroot}%{_usr}/lib/%{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/com.inferit.sphere-desktop-selector.desktop

%files -f %{name}.lang
%doc README.md
%license COPYING
%config(noreplace) %{_sysconfdir}/xdg/autostart/*.desktop
%{_usr}/lib/%{name}
%{_bindir}/sphere-desktop-selector*
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/applications/com.inferit.sphere-desktop-selector.desktop
%{_datadir}/metainfo/com.inferit.sphere-desktop-selector.metainfo.xml
%{_datadir}/glib-2.0/schemas/com.inferit.sphere-desktop-selector.gschema.xml

%changelog
* Mon Mar 17 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-6
- Do not wait to start selector
- Run in x11 backend

* Wed Mar 05 2025 Dmitriy Samoylik <samoylikdv@msvsphere-os.ru> - 1.0.0-5
- Changed default configuration file

* Mon Feb 17 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-4
- unbump delay

* Thu Feb 06 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-3
- Update images
- Update window size

* Tue Feb 04 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-2
- Fix window position for autorun

* Sun Feb 02 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-1
- Rebuilt for MSVSphere 10

* Mon Jan 13 2025 Dmitriy Samoylik <samoylikdv@msvsphere-os.ru> - 1.0.0-1
- Initial build
